local metadata = {
"## Interface: 2.1.0.2 RC3",
"## Title: BunkerSilo01placable",
"## Notes: BunkerSilo01placable",
"## Author: Marhu",
"## Version: 0.0.06a",
"## Date: 04.08.2014",
}

BunkerSilo01placable = {};
BunkerSilo01placable_mt = Class(BunkerSilo01placable, Placeable);
InitObjectClass(BunkerSilo01placable, "BunkerSilo01placable");

function BunkerSilo01placable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, BunkerSilo01placable_mt);
    registerObjectClassName(self, "BunkerSilo01placable");
	
	return self;
end;

function BunkerSilo01placable:delete()
  	unregisterObjectClassName(self);
    BunkerSilo01placable:superClass().delete(self);
end;

function BunkerSilo01placable:deleteFinal()
    BunkerSilo01placable:superClass().deleteFinal(self);
end;

function BunkerSilo01placable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not BunkerSilo01placable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;

	if not moveMode then
		local org_isLoadingMap = g_currentMission.isLoadingMap;
		g_currentMission.isLoadingMap = true
		BunkerSilo:onCreate(self.nodeId)
		g_currentMission.isLoadingMap = org_isLoadingMap;
	end
  
	return true;
end;

function BunkerSilo01placable:update(dt)
end;

registerPlaceableType("BunkerSilo01placable", BunkerSilo01placable);